package org.artifactory.async;

import org.apache.commons.lang3.StringUtils;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.ANNOTATION_TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface WorkQueueConfig {

    boolean enabled() default true;

    String name() default StringUtils.EMPTY;

    /**
     * Although @Async, the current thread will wait for the paired WorkItem to finish before returning.
     * Can only be used together with {@code Async.workQueue}
     */
    boolean blockUntilFinished() default false;

}
