package org.artifactory.core.api.ph.resource;

import org.artifactory.common.resource.BaseResource;

public class PackageUnfoundedResource implements BaseResource {
    private final String repoKey;
    private final String path;
    private final String reason;
    private final int statusCode;

    public PackageUnfoundedResource(String repoKey, String path, int statusCode, String reason) {
        this.repoKey = repoKey;
        this.path = path;
        this.statusCode = statusCode;
        this.reason = reason;
    }

    @Override
    public boolean isFound() {
        return false;
    }

    @Override
    public long getLastModified() {
        return 0;
    }

    @Override
    public boolean isExactQueryMatch() {
        return false;
    }

    @Override
    public String getRepoKey() {
        return repoKey;
    }

    @Override
    public String getPath() {
        return path;
    }

    @Override
    public boolean isExpired() {
        return false;
    }

    @Override
    public boolean isBlocked() {
        return false;
    }

    public String getReason() {
        return reason;
    }

    public int getStatusCode() {
        return statusCode;
    }
}
